Skip to main content
`Ctrl`+`K`

# TSRHSSplitGetSubTS

Get the sub-`TS` by split name.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSSplitGetSubTS(TS ts, const char splitname[], TS *subts)

Logically Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameters

- splitname - the number of the split

- subts - the sub-`TS`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `IS`, `TSGetRHSSplitFunction()`

## Level

advanced

## Location

src/ts/interface/tsrhssplit.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages